QXmpp: Managers

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
Managers

## Classes
class | QXmppArchiveManager
| The QXmppArchiveManager class makes it possible to access message archives as defined by XEP-0136: Message Archiving. More...
class | QXmppCarbonManager
| The QXmppCarbonManager class handles message carbons as described in XEP-0280: Message Carbons. More...
class | QXmppEntityTimeManager
| The QXmppEntityTimeManager class provided the functionality to get the local time of an entity as defined by XEP-0202: Entity Time. More...
class | QXmppMamManager
| The QXmppMamManager class makes it possible to access message archives as defined by XEP-0313: Message Archive Management. More...
class | QXmppMessageReceiptManager
| The QXmppMessageReceiptManager class makes it possible to send and receive message delivery receipts as defined in XEP-0184: Message Delivery Receipts. More...
class | QXmppMucManager
| The QXmppMucManager class makes it possible to interact with multi-user chat rooms as defined by XEP-0045: Multi-User Chat. More...
class | QXmppRegistrationManager
| The QXmppRegistrationManager class manages in-band registration and account management tasks like changing the password as defined in XEP-0077: In-Band Registration. More...
class | QXmppRosterManager
| The QXmppRosterManager class provides access to a connected client's roster. More...
class | QXmppUploadRequestManager
| The QXmppUploadRequestManager implements the core of XEP-0369: HTTP File Upload. More...
class | QXmppVCardManager
| The QXmppVCardManager class gets/sets XMPP vCards. It is an implementation of XEP-0054: vcard-temp. More...
class | QXmppVersionManager
| The QXmppVersionManager class makes it possible to request for the software version of an entity as defined by XEP-0092: Software Version. More...
class | QXmppAccountMigrationManager
| Allows to export and import account data. More...
class | QXmppBlockingManager
| Uses XEP-0191: Blocking Command to manage blocked accounts and services. More...
class | QXmppCallInviteManager
| The QXmppCallInviteManager class makes it possible to retrieve Call Invite elements as defined by XEP-0482: Call Invites. More...
class | QXmppCallManager
| The QXmppCallManager class provides support for making and receiving voice calls. More...
class | QXmppCarbonManagerV2
| The QXmppCarbonManagerV2 class handles message carbons as described in XEP-0280: Message Carbons. More...
class | QXmppDiscoveryManager
| The QXmppDiscoveryManager class makes it possible to discover information about other entities as defined by XEP-0030: Service Discovery. More...
class | QXmppMixManager
class | QXmppMovedManager
class | QXmppMucManagerV2
| XEP-0045: Multi-User Chat Manager with support for XEP-0402: PEP Native Bookmarks. More...
class | QXmppPubSubManager
| The QXmppPubSubManager aims to provide publish-subscribe functionality as specified in XEP-0060: Publish-Subscribe (PubSub). More...
class | QXmppTransferManager
class | QXmppTrustManager
| The QXmppTrustManager manages end-to-end encryption trust decisions. More...
class | QXmppUserLocationManager
class | QXmppUserTuneManager
class | QXmppOmemoManager

## Functions
| QXmppAtmManager::QXmppAtmManager (QXmppAtmTrustStorage *trustStorage)
| QXmppExternalServiceDiscoveryManager::QXmppExternalServiceDiscoveryManager ()
| The QXmppExternalServiceDiscoveryManager class makes it possible to discover information about external services from providers as defined by XEP-0215: External Service Discovery.

## Detailed Description

Managers are used to extend the basic QXmppClient. Some of them are loaded by default, others need to be added to the client using QXmppClient::addExtension().

## Function Documentation

## ◆ QXmppAtmManager()

QXmppAtmManager::QXmppAtmManager | ( | QXmppAtmTrustStorage * | trustStorage | ) |

QXmppAtmTrustStorage *trustStorage = new QXmppAtmTrustMemoryStorage;
QXmppAtmManager *manager = new QXmppAtmManager(trustStorage);
client->addExtension(manager);
QXmppAtmTrustMemoryStorage
The QXmppAtmTrustMemoryStorage class stores trust data for XEP-0450: Automatic Trust Management (ATM)...
Definition QXmppAtmTrustMemoryStorage.h:14
QXmppAtmTrustStorage
The QXmppAtmTrustStorage class stores trust data for XEP-0450: Automatic Trust Management (ATM).
Definition QXmppAtmTrustStorage.h:15
QXmppClientExtension::client
QXmppClient * client() const
Definition QXmppClientExtension.cpp:57
QXmppAtmManager::QXmppAtmManager
QXmppAtmManager(QXmppAtmTrustStorage *trustStorage)
Definition QXmppAtmManager.cpp:65

It is strongly recommended to enable XEP-0280: Message Carbons with

QXmppCarbonManager *carbonManager = new QXmppCarbonManager;
carbonManager->setCarbonsEnabled(true);
client->addExtension(carbonManager);
QXmppCarbonManager
The QXmppCarbonManager class handles message carbons as described in XEP-0280: Message Carbons.
Definition QXmppCarbonManager.h:26
QXmppCarbonManager::setCarbonsEnabled
void setCarbonsEnabled(bool enabled)
Definition QXmppCarbonManager.cpp:47

and XEP-0313: Message Archive Management with

QXmppMamManager *mamManager = new QXmppMamManager;
client->addExtension(mamManager);
QXmppMamManager
The QXmppMamManager class makes it possible to access message archives as defined by XEP-0313: Messag...
Definition QXmppMamManager.h:39

for delivering trust messages to all online and offline endpoints.

In addition, archiving via MAM must be enabled on the server.

Since
  QXmpp 1.5 Constructs an ATM manager.

Parameters

  trustStorage | trust storage implementation

## ◆ QXmppExternalServiceDiscoveryManager()

QXmppExternalServiceDiscoveryManager::QXmppExternalServiceDiscoveryManager | ( |  | ) |

The QXmppExternalServiceDiscoveryManager class makes it possible to discover information about external services from providers as defined by XEP-0215: External Service Discovery.

To make use of this manager, you need to instantiate it and load it into the QXmppClient instance as follows:

auto *manager = client->addNewExtension<QXmppExternalServiceDiscoveryManager>();
QXmppExternalServiceDiscoveryManager::QXmppExternalServiceDiscoveryManager
QXmppExternalServiceDiscoveryManager()
The QXmppExternalServiceDiscoveryManager class makes it possible to discover information about extern...
Definition QXmppExternalServiceDiscoveryManager.cpp:32

Since
  QXmpp 1.6